package com.yonge.cooleshow.biz.dal.wrapper;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Optional;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * 机构员工表
 * 2023-07-21 17:32:49
 */
@ApiModel(value = "TenantStaffWrapper对象", description = "机构员工表查询对象")
public class TenantStaffWrapper {

    @Data
	@Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel(" TenantStaffQuery-机构员工表")
    public static class TenantStaffQuery implements QueryInfo {
    
    	@ApiModelProperty("当前页")
        private Integer page;
        
        @ApiModelProperty("分页行数")
        private Integer rows;
        
        @ApiModelProperty("关键字匹配")
		private String keyword;
        
        public String getKeyword() {
            return Optional.ofNullable(keyword).filter(StringUtils::isNotBlank).orElse(null);
        }
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantStaffQuery from(String json) {
            return JSON.parseObject(json, TenantStaffQuery.class);
        }
    }  

	@ApiModel(" TenantStaff-机构员工表")
    public static class TenantStaff {
        
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static TenantStaff from(String json) {
            return JSON.parseObject(json, TenantStaff.class);
        }
	}

}